View Issue Details

IDProjectCategoryView StatusLast Update
0002055FreeCADBugpublic2017-03-10 20:30
Reporterandreast Assigned Tokkremitzki  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformIntelOSWindowsOS Version8.1 x64
Product Version0.15 
Target VersionFixed in Version0.17 
Summary0002055: Undo and redo of fillet restore it incorrectly
DescriptionUndo and redo of fillet restore it to the wrong level in Label & Attributes-tree
Steps To ReproduceNew
Part workbench
Add a cube (in my example a cube with a cylindric hole)
Add fillet with r=1mm to all four top edges
(Screenshot capture_04132015_010249.jpg)

Click Edit, Undo
Click Edit, Redo
*** Result: BUG! Label Fillet is restored and the 3D display shows the object correctly prior to Undo but the Fillet label is now on the same level as Cut. Label Fillet has no sub labels.
(Screenshot capture_04132015_010519.jpg)
(Save file as freecad-015-test002_005.FCStd)
*** Closing and reopening the document will correct the label tree
*** Result: OK. Label fillet is now at the correct level with Cut below it.
(Screenshot capture_04132015_010659.jpg)
Tagsundo
FreeCAD Information

Relationships

related to 0002504 closedickby PartDesign Crash in pad function after undoing some operations 
related to 0002387 closed FreeCAD Unexpected position when rotating multiple objects 

Activities

andreast

2015-04-13 12:03

reporter  

FreeCAD 015 label tree undo-redo bug 2.zip (Attachment missing)

andreast

2015-04-13 12:08

reporter  

capture_04132015_010249.jpg (Attachment missing)

andreast

2015-04-13 12:09

reporter  

capture_04132015_010519.jpg (Attachment missing)

andreast

2015-04-13 12:09

reporter  

freecad-015-test002_005.FCStd (Attachment missing)

andreast

2015-04-13 12:10

reporter  

capture_04132015_010659.jpg (Attachment missing)

Kunda1

2017-02-23 20:33

administrator   ~0008411

@andreast can you recreate on 0.16 or even in the lastest master ?
CC @NormandC

andreast

2017-02-23 20:42

reporter   ~0008412

@Kunda1, yes bug still present.

OS: Windows 10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.6706 (Git)
Build type: Release
Branch: releases/FreeCAD-0-16
Hash: f86a4e411ff7848dea98d7242f43b7774bee8fa0
Python version: 2.7.8
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17

normandc

2017-02-25 18:04

manager   ~0008431

This is fixed in current master (see attached animated GIF). Clicking on Undo, then Redo, the Fillet operation reappears in the Model tree, and the Cut object is automatically nested under Fillet.

OS: Ubuntu 16.04.2 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.10276 (Git)
Build type: None
Branch: master
Hash: 10191e90861cf0c87d24c1980761fd1c7f3cdde4
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17

FC_issue#2055_fixed.gif (Attachment missing)

Issue History

Date Modified Username Field Change
2015-04-13 12:03 andreast New Issue
2015-04-13 12:03 andreast File Added: FreeCAD 015 label tree undo-redo bug 2.zip
2015-04-13 12:08 andreast File Added: capture_04132015_010249.jpg
2015-04-13 12:09 andreast File Added: capture_04132015_010519.jpg
2015-04-13 12:09 andreast File Added: freecad-015-test002_005.FCStd
2015-04-13 12:10 andreast File Added: capture_04132015_010659.jpg
2017-01-18 22:02 Kunda1 Tag Attached: undo
2017-02-04 03:42 Kunda1 Relationship added related to 0002504
2017-02-04 03:46 Kunda1 Relationship added related to 0002387
2017-02-23 20:33 Kunda1 Assigned To => Kunda1
2017-02-23 20:33 Kunda1 Status new => feedback
2017-02-23 20:33 Kunda1 Note Added: 0008411
2017-02-23 20:42 andreast Note Added: 0008412
2017-02-23 20:42 andreast Status feedback => assigned
2017-02-25 18:04 normandc File Added: FC_issue#2055_fixed.gif
2017-02-25 18:04 normandc Note Added: 0008431
2017-02-25 21:37 Kunda1 Assigned To Kunda1 =>
2017-02-25 21:37 Kunda1 Status assigned => resolved
2017-02-25 21:37 Kunda1 Resolution open => fixed
2017-02-25 21:37 Kunda1 Fixed in Version => 0.17
2017-03-10 20:30 kkremitzki Assigned To => kkremitzki
2017-03-10 20:30 kkremitzki Status resolved => closed